<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Constructors</title>
</head>
<body>

    <div id="root">
      
    </div>

    <button id="test">TEST HOF </button>
    
    <script>    

        // const test = document.getElementById('test');
    

        // function HOF(id){
        //     return function(e){
        //         console.log('event:', e, 'id:', id);
        //     }
        // }

        // const HOF = (id) => (e) => {
        //     console.log('event:', e, 'id:', id);
        // }

        // test.addEventListener('click', HOF({ id: 13}) );

        let state = {
            data: [1,2,3,4,5,6,7]
        }

        let { data } = state;
        
        data[4] = null;

        console.log( state, data );

    </script>


    <!-- <script src="1.PrivateAndPublicMethods.js"></script> -->
    <!-- <script src="2.PrototypesAndObjectCreation.js"></script> -->
    <!-- <script src="3.Classes.js"></script> -->
    <script src="4.defineProperty.js"></script>
</body>
</html>
